### Method

# AppStream Validator check_success

#### Declaration [src]

    gboolean
    as_validator_check_success (
      AsValidator* validator
    )

#### Description [src]

Check the current registered values again and return `TRUE` if no issues were found that would make the previously validated files fail validation.

Usually you do not need to call this function explicitly, as the as_validator_validate_* functions will already return whether data was valid as return value.

#### Return value

Type: `gboolean`

`TRUE` if previously validated files were valid.